Subject: [PATCH v7 00/17] Introduce ACPI for ARM64 based on ACPI 5.1

From: [email-masked] (Jon Masters)
Date: Thu, 15 Jan 2015 16:38:37 -0500

On 01/15/2015 04:31 PM, Al Stone wrote:
> On 01/15/2015 11:23 AM, Catalin Marinas wrote:
>> On Thu, Jan 15, 2015 at 04:26:20PM +0000, Grant Likely wrote:
>>> On Wed, Jan 14, 2015 at 3:04 PM, Hanjun Guo <[email-masked]> wrote:
>>>> This is the v7 of ACPI core patches for ARM64 based on ACPI 5.1
>>>
>>> I'll get right to the point: Can we please have this series queued up
>>> for v3.20?
>> [snip ... ]
> 
>>> 5. Platform support patches need verification and review
>>>    * ACPI core works on at least the Foundation model, Juno, APM
>>> Mustang, and AMD Seattle
>>>    * There still are driver patches being discussed. See Al's summary
>>> for details
>>>    * As I argued above, the state of driver patches isn't going to be
>>
>> We are still lacking here. To quote Al, "First version for AMD Seattle
>> has been posted to the public linaro-acpi mailing list for initial
>> review". Sorry but I don't follow linaro-acpi list. I don't know what's
>> in those patches and I can't tell which subsystems they touch, whether
>> maintainers agree with them. So in conclusion, I'm not confident the
>> arm64 hardware ACPI story looks that great yet.
>>  
> 
> This is solely my fault -- too much time on processes, email, and
> documentation, not enough time on the Seattle patches.  And not
> enough Seattles to go around for someone else to pick up the slack.

As an aside: a few of us have discretely assisted in ensuring that the
right folks have access to hardware platforms over the past few months.
If one of the upstream maintainers does not have v8 hardware and doing
so will unblock progress please get in touch off list.

Jon.